/*******************************************************************************
 *  Copyright 2017-2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/
package cdac.medinfo.sdk.dcm30_04.templates.enums.cm;

/**
 * This enum represents Code Meaning for CathFindings
 */
public enum EnumCM_CathFindings 
{
	NORMAL_LEFT_HEART_HEMODYNAMICS("Normal left heart hemodynamics"),
	NORMAL_RIGHT_HEART_HEMODYNAMICS("Normal right heart hemodynamics"),
	NORMAL_LEFT_AND_RIGHT_HEART_HEMODYNAMICS("Normal left and right heart hemodynamics"),
	NORMAL_LEFT_VENTRICULAR_SYSTOLIC_FUNCTION_AND_WALL_MOTION("Normal left ventricular systolic function and wall motion"),
	NORMAL_CORONARY_ARTERIES("Normal coronary arteries"),
	MILD_INTIMAL_CORONARY_IRREGULARITIES_NO_SIGNIFICANT_STENOSES("Mild intimal coronary irregularities, no significant stenoses"),
	SINGLE_VESSEL_CORONARY_ARTERY_DISEASE_("Single vessel coronary artery disease."),
	DOUBLE_VESSEL_CORONARY_ARTERY_DISEASE_("Double vessel coronary artery disease."),
	TRIPLE_VESSEL_CORONARY_ARTERY_DISEASE_("Triple vessel coronary artery disease."),
	MULTI_VESSEL_CORONARY_ARTERY_DISEASE_("Multi vessel coronary artery disease."),
	LEFT_MAIN_CORONARY_ARTERY_DISEASE("Left main coronary artery disease"),
	SIGNIFICANT_CORONARY_BYPASS_GRAFT_DISEASE("Significant coronary bypass graft disease"),
	AORTIC_STENOSIS("Aortic stenosis"),
	AORTIC_INSUFFICIENCY("Aortic insufficiency"),
	MITRAL_STENOSIS("Mitral stenosis"),
	MITRAL_REGURGITATION("Mitral regurgitation"),
	DEPRESSION_OF_LEFT_VENTRICULAR_SYSTOLIC_FUNCTION("Depression of left ventricular systolic function"),
	ACUTE_MITRAL_REGURGITATION_FROM_CHORDAL_RUPTURE("Acute mitral regurgitation from chordal rupture"),
	ACUTE_MITRAL_REGURGITATION_FROM_CHORDAL_DYSFUNCTION("Acute mitral regurgitation from chordal dysfunction"),
	ACUTE_MITRAL_REGURGITATION_FROM_PAPILLARY_MUSCLE_RUPTURE("Acute mitral regurgitation from papillary muscle rupture"),
	ACUTE_MITRAL_REGURGITATION_FROM_PAPILLARY_MUSCLE_DYSFUNCTION("Acute mitral regurgitation from papillary muscle dysfunction"),
	MITRAL_VALVE_PROLAPSE("Mitral valve prolapse"),
	CONGESTIVE_CARDIOMYOPATHY("Congestive cardiomyopathy"),
	HYPERTROPHIC_CARDIOMYOPATHY_WITH_OBSTRUCTION("Hypertrophic cardiomyopathy with obstruction"),
	HYPERTROPHIC_CARDIOMYOPATHY_WITHOUT_OBSTRUCTION("Hypertrophic cardiomyopathy without obstruction"),
	HYPERTENSIVE_HEART_DISEASE("Hypertensive heart disease"),
	RESTRICTIVE_CARDIOMYOPATHY("Restrictive cardiomyopathy"),
	PERICARDIAL_TAMPONADE("Pericardial tamponade"),
	CONSTRICTIVE_PERICARDITIS("Constrictive pericarditis"),
	PULMONARY_HYPERTENSION("Pulmonary hypertension"),
	ATRIAL_SEPTAL_DEFECT("Atrial septal defect"),
	VENTRICULAR_SEPTAL_DEFECT("Ventricular septal defect"),
	ACUTE_VENTRICULAR_SEPTAL_RUPTURE("Acute ventricular septal rupture"),
	HEART_DISEASE__CONGENITAL("heart disease - congenital");

	private String value;
	
	EnumCM_CathFindings(String strvalue)
	{
		this.value = strvalue;
	}
	
	/**
	 * This function returns the String value of this enum.
	 * @return - returns string value of Code Meaning.
	 */
	public String getValue()
	{
		return value;
	}
}
